--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Tests whether the value in the record matches the expected_value regexp set for the Comparison.
constants: []

full_name: DataMapper::Query::Conditions::RegexpComparison
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: matches?
- !ruby/object:RI::MethodSummary 
  name: valid?
name: RegexpComparison
superclass: AbstractComparison
